Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.pict
Class PICTEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase
                  |
                  +--com.sun.jimi.core.encoder.pict.PICTEncoder

public class PICTEncoder
extends JimiEncoderBase

Save out image data in PICT image file format. This only outputs V2 PICT files. not v1. Due to PICT v2 limitation Grayscale images are saved as palette based because PICT does not have a specific grayscale variant.

Fields inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`currentImage, DONE, ERROR, factory, MAX_COLORS_RGB, MULTIIMAGE, NEXTIMAGE`

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`PICTEncoder()`

Method Summary
`boolean` | `driveEncoder()` This only runs once therefore no state handling to deal with
`void` | `encodePICT(AdaptiveRasterImage ji, java.io.DataOutputStream out)`
`void` | `freeEncoder()`
`int` | `getState()`
`protected void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)` intialise the required pieces for output of file

Methods inherited from class com.sun.jimi.core.compat.JimiEncoderBase
`createAdaptiveRasterImage, createAdaptiveRasterImage, encodeImage, encodeImage, encodeImages, encodeImages, getCapabilties, getJimiImage, getMaxColors, setJimiImage, setNumberOfImages, setProgress`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PICTEncoder

    public PICTEncoder()

Method Detail

### initSpecificEncoder

    protected void initSpecificEncoder(java.io.OutputStream out,
                                       AdaptiveRasterImage ji)
                                throws JimiException

  intialise the required pieces for output of file
  Overrides:
    initSpecificEncoder in class JimiEncoderBase

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

  This only runs once therefore no state handling to deal with
  Overrides:
    driveEncoder in class JimiEncoderBase

### freeEncoder

    public void freeEncoder()
                     throws JimiException

  Overrides:
    freeEncoder in class JimiEncoderBase

### getState

    public int getState()

  Overrides:
    getState in class JimiEncoderBase

### encodePICT

    public void encodePICT(AdaptiveRasterImage ji,
                           java.io.DataOutputStream out)
                    throws JimiException,
                           java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD